import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

const router = new Router({
  routes: [
    {
      path: '/',
      component: () => import('./views/index.vue'),
    },
    {
      path: '/hr/update',
      component: () => import('./views/hr/update.vue'),
    },
    {
      path: '/hr/index',
      component: () => import('./views/hr/index.vue'),
    },
    {
      path: '/hr/detail',
      component: () => import('./views/hr/detail.vue'),
    },
    {
      path: '/jobfair/index',
      component: () => import('./views/jobfair/index.vue'),
    },
    {
      path: '/jobfair/detail',
      component: () => import('./views/jobfair/detailAdd.vue'),
    },
    {
      path: '/jobfair/list',
      component: () => import('./views/jobfair/list.vue'),
    },
    {
      path: '/talk/index',
      component: () => import('./views/talk/index.vue'),
    },
    {
      path: '/talk/detail',
      component: () => import('./views/talk/detail.vue'),
    },
    {
      path: '/source/index',
      component: () => import('./views/source/index.vue'),
    },
    {
      path: '/resume/index',
      component: () => import('./views/resume/index.vue'),
    },
    {
      path: '/resume/detail',
      component: () => import('./views/resume/detail.vue'),
    },
    {
      path: '/resume/management',
      component: () => import('./views/resume/management.vue'),
    },
    {
      path: '/login/index',
      component: () => import('./views/login/index.vue'),
    },
    {
      path: '/login/message',
      component: () => import('./views/login/message.vue'),
    },
    {
      path: '/login/nomal',
      component: () => import('./views/login/nomal.vue'),
    },
    {
      path: '/enterprise/index',
      component: () => import('./views/enterprise/index.vue'),
    },
    {
      path: '/enterprise/internship',
      component: () => import('./views/enterprise/internship.vue'),
    },
    {
      path: '/enterprise/lecture',
      component: () => import('./views/enterprise/lecture.vue'),
    },
    {
      path: '/enterprise/position',
      component: () => import('./views/enterprise/position.vue'),
    },
    {
      path: '/profile/index',
      component: () => import('./views/profile/index.vue'),
    },
    {
      path: '/profile/detail',
      component: () => import('./views/profile/detail.vue'),
    },
    {
      path: '/jobs/index',
      component: () => import('./views/jobs/index.vue'),
    },
    {
      path: '/jobs/detail',
      component: () => import('./views/jobs/detail.vue'),
    },
    {
      path: '/jobinfo/index',
      component: () => import('./views/jobinfo/index.vue'),
    },
    {
      path: '/jobinfo/detail',
      component: () => import('./views/jobinfo/detail.vue'),
    },
  ],
});

export default router;
